%% Plot EPR only

if strcmpi(Opt.CalcEPR,'y')&&strcmpi(Opt.CalcDNP,'n')

	clf
	plot(Sim.B,Sim.SpecEPR)
	axis tight
	temp = axis;
	hold on
	plot(Sim.B,Sim.SpecEPR*Out.OutputScaling,'r--')
	hold off	
	box on
	xlabel('Magnetic Field [mT]')
	ylabel('EPR Intensity [a.u.]')
	
end

%% Plot EPR and DNP, one tp point only

if strcmpi(Opt.CalcDNP,'y')&&(Par.BnPts > 1)&&(Par.tnPts == 1)

	clf
	subplot(2,1,1)
	plot(Sim.B,Sim.SpecEPR)
	axis tight
	box on
	xlabel('Magnetic Field [mT]')
	ylabel('EPR Intensity [a.u.]')
	
	subplot(2,1,2)
	plot(Sim.B,Sim.eDNP)
	axis tight
	box on
	xlabel('Magnetic Field [mT]')
	ylabel('<Iz> [a.u.]')
	
end

%% Plot EPR and DNP with time evolution

if strcmpi(Opt.CalcDNP,'y')&&(Par.BnPts > 1)&&(Par.tnPts > 1)

	clf
	subplot(2,1,1)
	plot(Sim.B,Sim.SpecEPR)
	axis tight
	box on
	xlabel('Magnetic Field [mT]')
	ylabel('<Sz> [a.u.]')
	
	subplot(2,1,2)
	mesh(Sim.B,Sim.tp,Sim.eDNP)
	view(2)
	axis tight
	box off
	xlabel('Magnetic Field [mT]')
	ylabel('Evolution time [s]')
	
end

%% Plot EPR and DNP with time evolution

if strcmpi(Opt.CalcDNP,'y')&&(Par.BnPts == 1)&&(Par.tnPts > 1)
	
	clf
	plot(Sim.tp*1e6,Sim.eDNP)
	axis tight
	box off
	ylabel('Intensity')
	xlabel('Evolution time [micro s]')
	
end
